import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;

public class FareTestiSWF_2000 extends JFrame
{
 private int nx,ny=-10;
 private String s="";

 public FareTestiSWF_2000()
 {
  super("Fare Testi");
  addMouseListener(new MouseClickHandler());
 }

 public void paint(Graphics g)
 {
 g.drawString("basıldı"+"["+nx+","+ny+"]",nx,ny);
 }


       public static void main(String[] args)
      {
      FareTestiSWF_2000 pencere= new FareTestiSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,150);
      pencere.setVisible(true);
      }
//bu sınıfın diğer sınıfın içinde tanımlandığına dikkat ediniz
private class MouseClickHandler extends MouseAdapter {
  public void MouseClicked(MouseEvent e)
  {
  nx=e.getX();
  ny=e.getY();
  String s=e.getClickCount()+"kere ";
  if(e.isMetaDown())
   s+="sağ fare tuşuna basıldı";
  else if(e.isAltDown())
   s+="orta fare tuşuna basıldı";
  else
    s+="sol fare tuşuna basıldı";
  setTitle(s);
  repaint();
  }

}
}
